Subject: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Nov 2020 17:43:27 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Mon, 2 Nov 2020 08:35:13 +0000
> Cc: dinkonin <[email-masked]>, [email-masked]
> 
> I believe that the ispell.el code (which I wrote) is buggy: it should not be incorporating warnings into its
> output.
> 
> Also, the patch I offered is a simplification of the original code. So, I don't think we are losing here.
> 
> Eli, I quite agree with your sentiment, and I would certainly not advocate installing a workaround in Emacs
> unless there were compelling reasons. However, I do not see this as a workaround, and as it is also a
> simplification, I don't see a problem.

I have a problem with ignoring stderr because it can provide some
useful information.  Moreover, no one said that some client of
Enchant, current or future, won't decide to produce non-error output
on stderr.

Sorry.